Participants

Poll waiting-room admission status for a participant

Cheap read for integrators polling whether the host has admitted a waiting participant. `admitted` responses include fresh join credentials (token, livekitUrl, joinUrl).

GET
/api/v1/rooms/{roomId}/participants/{participantId}/admission

Cheap read for integrators polling whether the host has admitted a waiting participant. admitted responses include fresh join credentials (token, livekitUrl, joinUrl).

Authorization

tenant-api-key
x-api-key<token>

Tenant API key (backend only — never expose to a browser)

In: header

Path Parameters

roomId*string

Room CUID

participantId*string

Participant CUID

Response Body

application/json

curl -X GET "https://example.com/api/v1/rooms/string/participants/string/admission"
{  "status": "waiting",  "token": {},  "livekitUrl": {},  "joinUrl": {}}